Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004213TestLinkExport/Importpublic2011-02-02 13:052014-04-25 17:38
Reportertaraujo 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0004213: Duplicate test cases are created when importing new versions with edited TC Name (xml format)
DescriptionWhen importing an XML test cases file where the test case name has been edited, it's necessary to identify the correct test case to be edited by its internal or external id.

Before importing the file, the user can choose one of the following options:
 1 - Update data on latest version
 2 - Create a new test case with different title
 3 - Create a new version.

If the "Create a new version" option is selected and the file is imported, a new test case with the edited name is created instead of updating the existing one.
Steps To ReproducePreconditions:
 1. There is a suite with at least 1 test case available

Steps:
 1. Export the test cases from this suite to an XML file: "Test Case Operations / Export"
 2. Edit the XML file and change the test case name: <testcase name="change_here">
 3. Select the option to import test cases to the same suite: "Test Case Operations / Import".
 4. Choose the previously edited file and select "Has same External ID" and "Create a new version" options.
 5. Select "Upload file" option.

 *** Now you can see the problem:
  - Expected: No new test case is created. The existing one is edited with the given new name.
  - Found: A new test case is created in the same suite with the new name.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserChrome
PHP Versionphp-5.2.9-2.fc10.i386
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon t1.xml [^] (316 bytes) 2014-01-17 19:25
xml file icon t2.xml [^] (335 bytes) 2014-01-17 19:26
doc file icon testlink import test cases.doc [^] (42,496 bytes) 2014-02-08 11:27

- Relationships
related to 0004214closedfman Already executed test cases versions can be edited by importing an XML test case file 

-  Notes
(0020336)
sbill (reporter)
2014-01-17 19:36

I have the same issue. I have attached t1.xml and t2.xml
I am working in the demo environment: http://demo.testlink.org/tl194demo/index.php?caller=login [^]
Version 1.9.9 (Lone Ranger)

1. Load t1.xml into a test suite
2. Load t2.xml into the same test suite. Specify "has same External ID" for Consider Test Case as duplicate. And specify "Create a new version" for Action for duplicates. A second test case is created instead of creating a new version.

Note: If I select "Update data on Later version", this operation works correctly as long as there is only one test case with that external id, which would not be the case after following the steps above.
(0020408)
fman (administrator)
2014-02-08 18:15

>> as long as there is only one test case with that external id,
>> which would not be the case after following the steps above.
on a test project external ID has to be unique, if not is an error.
(0020413)
fman (administrator)
2014-02-09 17:23

Thanks for your contribution
I will use your test cases to test implementation.
I'm going to analize the proposed changed, and try to use it may be in a differente way.
My idea is add more logic to create() & update() method on test case class, instead of changing a lot tcImport.php
(0020444)
fman (administrator)
2014-02-13 22:00

https://gitorious.org/testlink-ga/testlink-code/commit/f18e636d0d644a346a9d68690f38fa5583bbde7a [^]
(0020837)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2011-02-02 13:05 taraujo New Issue
2011-02-06 17:34 fman Assigned To => fman
2011-02-06 17:34 fman Status new => assigned
2011-03-17 18:52 fman Relationship added related to 0004214
2014-01-17 19:25 sbill File Added: t1.xml
2014-01-17 19:26 sbill File Added: t2.xml
2014-01-17 19:36 sbill Note Added: 0020336
2014-02-08 11:27 fman File Added: testlink import test cases.doc
2014-02-08 18:15 fman Note Added: 0020408
2014-02-09 17:23 fman Note Added: 0020413
2014-02-13 22:00 fman Note Added: 0020444
2014-02-13 22:01 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-02-13 22:01 fman Status assigned => resolved
2014-02-13 22:01 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-02-13 22:01 fman Resolution open => fixed
2014-04-25 17:38 fman Note Added: 0020837
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker